
-
  name: $ddt{name}
  request:
    method: post
    url: /service-sysmgr/auth/AccessController/pageSearch
    json:
      pageNo: $ddt{pageNo}
      pageSize: $ddt{pageSize}
      query:
        systemName: $ddt{systemName}
        state: $ddt{state}
    headers:
      Token: ${read_yaml(token)}
  parameterize:
    - [ 'name','pageNo','pageSize','asser_str','systemName','state']
    - [ '分页查询1页10条数据,名称是”测试“','1','10',data,'测试',1]
    - [ '分页查询2页10条数据，名称是”校外教育','2','10',data ,'校外教育',1]
    - [ '分页查询1页100条数据','1','100',data, '自有应用',1]
    - [ '分页查询1页50条数据','1','50','state': 1 ,'',1]
    - [ '查询状态失效的','1','50','state': 0,'',0]
  extract:
    quarterId: '"quarterId":"(.*?)"'
  validate:
    - contains: $ddt{asser_str}



